Name: kmess
Version: 2.0.2
Release: 1%{?dist}
Summary: Messaging client for MSN
Group: Applications/Internet
License: GPLv2+

URL: http://www.kmess.org
Source0: kmess-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kde-filesystem >= 4
BuildRequires:  kdelibs4-devel >= 4.2
BuildRequires:  cmake
BuildRequires:  qca2-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  qca-ossl
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  giflib-devel

# removed konqueror integration till the bugs are worked out
#BuildRequires:  kdebase-devel

Requires: qca2
Requires: qca-ossl

%description
KMess is an alternative MSN Messenger chat client for Linux. 
It allows Linux users to chat with friends who use MSN 
Messenger in Windows or Mac OS. The strength of KMess 
is it's integration with the KDE desktop environment, 
focus on MSN Messenger specific features and an easy-to-use 
interface. 

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

touch kmess.lang
%find_lang kmess || echo "NOTICE: translations missing!"

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f kmess.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README

%{_kde4_datadir}/config/kmesschatstyles.knsrc
%{_kde4_bindir}/kmess
%{_kde4_datadir}/applications/kde4/kmess.desktop
%{_kde4_datadir}/doc/HTML/en/kmess/*
%{_kde4_datadir}/emoticons/KMess-new/*
%{_kde4_appsdir}/kmess/*
%{_kde4_datadir}/icons/hicolor/*/apps/kmess.png
%{_kde4_datadir}/icons/hicolor/scalable/apps/kmess.svgz
%{_kde4_datadir}/sounds/kmess*


%changelog
* Fri Jan 29 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.2-1
- New upstream release

* Wed Jul 29 2009 Steven M. Parrish <smparrish@gmail.com> - 2.0-2
- Correct Summary

* Sun Jul 26 2009 Steven M. Parrish <smparrish@gmail.com> - 2.0-1
- 1st build of official 2.0 release

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-4
- Fixing meta information errors

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-3
- Adding qca-ossl as dependency

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-2
- Fixing some minor mistakes of the meta informations

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-1
- Initial version
